<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>discover-xml.h File Reference</h1>Public interface to Discover's XML handling. <a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>

<p>
<a href="discover-xml_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga3">discover_xml_find_device</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga4">discover_xml_find_next_device</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga5">discover_xml_get_matching_devices</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__version__cmp.html#ga0">discover_xml_version_cmp</a> (char *range, char *version, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga4">discover_xml_url_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga5">discover_xml_url_copy</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *src, <a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *dst)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga12">discover_xml_url_free</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *urls)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga6">discover_xml_url_get_url</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga8">discover_xml_url_get_bus</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga9">discover_xml_url_get_type</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga10">discover_xml_url_get_next</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga11">discover_xml_url_get_last</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga7">discover_xml_url_get_label</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga0">discover_xml_get_urls</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga1">discover_xml_free_urls</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga2">discover_xml_get_data_urls</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="group__types.html#ga17">discover_filetype_t</a> filetype, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga3">discover_xml_free_data_urls</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga8">discover_xml_busclass_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga1">discover_xml_get_busclasses</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga2">discover_xml_free_busclasses</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga0">discover_xml_merge_busclass_url</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> **blist, char *filename, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga3">discover_xml_busclass_to_class</a> (char *busclass, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga4">discover_xml_busclass_cmp</a> (char *busclass, char *discover_class, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga5">discover_xml_busclass_get_id</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga6">discover_xml_busclass_get_name</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga7">discover_xml_busclass_get_next</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__busclass__xml.html#ga9">discover_xml_busclass_free</a> (<a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga1">discover_xml_get_devices</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga2">discover_xml_free_devices</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga0">discover_xml_merge_device_url</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> **dlist, char *url, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses, <a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga7">discover_xml_vendor_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga0">discover_xml_merge_vendor_url</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> **vlist, char *filename, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga1">discover_xml_get_vendors</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga2">discover_xml_free_vendors</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga3">discover_xml_vendor_id2name</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors, char *id)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga4">discover_xml_vendor_get_id</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga5">discover_xml_vendor_get_name</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga6">discover_xml_vendor_get_next</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vendor__xml.html#ga8">discover_xml_vendor_free</a> (<a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Public interface to Discover's XML handling. 
<p>
Public interface that exposes Discover's XML routines. These functions are used to read the XML data loaded from the specified configuration file(s). 
<p>
Definition in file <a class="el" href="discover-xml_8h-source.html">discover-xml.h</a>.<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
